#include "eventLoopCPP.hpp"
#include <stdint.h>
#include "main.h"
#include "display.h"

extern "C"
{
#include <stdint.h>
#include "main.h"
}

extern SPI_HandleTypeDef hspi2;


void EventLoopCpp()
{
    HAL_Init();
    Display myDisplay;
    myDisplay.ILI9341_Init();
	myDisplay.InvertColorOn();


    while (1)
    {

    }
}



extern "C"
{
    void EventLoopC()
    {
        EventLoopCpp();
    }
}
